void printi(int val);

enum {
  TEST_ENUM_0,
  TEST_ENUM_1,
  TEST_ENUM_2
};

int e0 = TEST_ENUM_1;

int main()
{
  int e1 = TEST_ENUM_2;

  printi(e0);
  printi(e1);

  e0 = TEST_ENUM_1;
  printi(e0);

  e1 = TEST_ENUM_2;
  printi(e1);

  return 0;
}
